[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.WriteDouble

Write a double-precision floating point value to the stream

## Declaration

Source position: streamex.pp line 199

`procedure TStreamHelper.WriteDouble(`
`d: Double`
`);`

## Arguments

`d` |  | Value to write to the stream

## Description

WriteDouble writes the double-precision floating point value D to the stream. No endianness corrections are performed.

## Errors

If not all bytes can be written, an EWriteError exception is raised.

## See also

TStreamHelper.ReadDouble |  | Read a double-precision floating point value from the stream
TStreamHelper.WriteSingle |  | Write a single-precision floating point value to the stream